import { CardProps as CardProps$1 } from '@mui/material/Card';
import * as React from 'react';
import React__default from 'react';
import { TabProps } from '@mui/material/Tab';
import { TabsProps as TabsProps$1 } from '@mui/material/Tabs';
export { default as CardContent } from '@mui/material/CardContent';
export { default as CardActionArea } from '@mui/material/CardActionArea';
export { default as CardActions } from '@mui/material/CardActions';
export { default as CardMedia } from '@mui/material/CardMedia';

type BootstrapColor = "primary" | "secondary" | "error" | "warning" | "info" | "success";
declare const bootstrapColors: BootstrapColor[];

type Omit$1<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
type CardProps = Omit$1<CardProps$1, "color"> & {
    color?: BootstrapColor;
};
declare const Card: React__default.ForwardRefExoticComponent<globalThis.Omit<CardProps, "ref"> & React__default.RefAttributes<unknown>>;
interface CardHeaderProps {
    children: React__default.ReactNode;
}
declare function CardHeader(props: CardHeaderProps): React__default.JSX.Element;
interface CardTitleProps {
    children: React__default.ReactNode;
}
declare function CardTitle(props: CardTitleProps): React__default.JSX.Element;

interface LabelProps {
    color: BootstrapColor;
    children: React__default.ReactNode;
}
declare function Label(props: LabelProps): React__default.JSX.Element;

interface PanelProps {
    children: React__default.ReactNode;
    color: BootstrapColor;
}
declare function Panel(props: PanelProps): React__default.JSX.Element;
interface PanelHeaderProps {
    children: React__default.ReactNode;
}
declare function PanelHeader(props: PanelHeaderProps): React__default.JSX.Element;
interface PanelBodyProps {
    children: React__default.ReactNode;
}
declare function PanelBody(props: PanelBodyProps): React__default.JSX.Element;

type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
type TabsProps = Omit<TabsProps$1, "children" | "value" | "onSelect" | "onChange"> & {
    selectedIndex: number;
    onSelect: (newValue: number) => void;
    children: React.ReactNode;
    tabs: (TabProps | string)[];
};
declare const Tabs: React.ForwardRefExoticComponent<globalThis.Omit<TabsProps, "ref"> & React.RefAttributes<unknown>>;

export { BootstrapColor, Card, CardHeader, CardHeaderProps, CardProps, CardTitle, CardTitleProps, Label, Panel, PanelBody, PanelHeader, Tabs, TabsProps, bootstrapColors };
